Bug 470462 - larger fonts after gnome-appearance-properties
larger fonts after gnome-appearance-properties
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-07 05:38 EST by Petr Sklenar
Modified: 2009-07-14 10:04 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 107320 None None None Never

  None (edit)
Description Petr Sklenar 2008-11-07 05:38:29 EST
Description of problem:
system fonts became larger

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
all system fonts became larger

Expected results:
system font are same
Comment 1 Matthias Clasen 2008-11-07 14:55:25 EST
Is gnome-settings-daemon running before you start gnome-appearance-properties ?
Comment 2 Petr Sklenar 2008-11-11 07:51:06 EST
yes, gnome-settings-daemon was runnig, I install latest fedora9 with all updates a start gnome-appearance-properties and fonts became larger for my session.
I tried reinstall all system and it happens again. 


[petr@dhcp-lab-171 ~]$ ps -aux  |grep gnome-setting
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
petr      2875  0.1  0.8 416268 16992 ?        Sl   13:08   0:00 /usr/libexec/gnome-settings-daemon
petr      4749  0.0  0.0  83712   744 pts/0    R+   13:14   0:00 grep gnome-setting
[petr@dhcp-lab-171 ~]$ gnome-appearance-properties

(gnome-appearance-properties:4763): Gtk-WARNING **: Theme directory scalable/animations/small/16x16 of theme oxygen has no size field

(gnome-appearance-properties:4763): Gtk-WARNING **: Theme directory scalable/animations/small/22x22 of theme oxygen has no size field

(gnome-appearance-properties:4763): Gtk-WARNING **: Theme directory scalable/animations/small/16x16 of theme default.kde4 has no size field

(gnome-appearance-properties:4763): Gtk-WARNING **: Theme directory scalable/animations/small/22x22 of theme default.kde4 has no size field
Comment 3 Jan Ščotka 2008-11-11 08:19:36 EST
I think the problem is, that appearences are set after running change apperarences application, not at startup of Gnome enviroment.
Comment 4 Jan Ščotka 2008-12-03 04:23:40 EST
I found, the bug appears only, if you have connected two monitors as a virtual size desktop. My current size is 2960 x 1050.
Comment 5 Jeff 2008-12-22 22:03:42 EST
This bug exists in Fedora 10 also.  Intel card using default driver, 2048x2048 virtual display and dual monitors configured with xrandr.  If I switch back to a single monitor and then run gnome-appearance-properties again the fonts return to the correct relative size.  I suspect the bug is in how the properties manager calculates the current screen size.  Problem is independent of compiz.
Comment 6 Jeff 2008-12-22 22:05:57 EST
Also, once the correct fonts are restored by switching a single screen and running gnome-appearance-properties, restoring the second monitor with xrandr does not break the fonts again (it is a better work around than logging out and back)
Comment 7 Joachim Frieben 2009-02-07 14:14:01 EST
This bug exists on both current F10 w/updates and the latest "rawhide" tree. The correct font size only gets applied upon opening the dialog window for font preferences. Thus, the fonts are not too big afterwards but tey are too small before. Note: this only happens until the preferences are applied for the very first time. At every later session, settings are correct from the beginning. The issue is thus particularly visible when booting from a live CD where the user account is always "fresh". Btw, single monitor setup in my case [21" CRT].
Comment 8 Mason Sanders 2009-03-06 14:04:02 EST
I have seen this on Fedora 10 with a dual head layout.  When you start the appearance app the font size does not change, but the DPI gets turned way up (to 129 in my case).  It seems to only happen the first time you run the app.  I have seen this on a lenovo t60 with two 1280x1024 monitors attached and on a lenovo x300 with one 1680x1050 monitor attached.
Comment 9 Mauricio Teixeira 2009-03-16 07:56:01 EDT
According to Ubuntu's Launchpad bug #107320, there are two workarounds:

1 - Setting DisplaySize on Monitor section on xorg.conf.
2 - Disable DDC.

Just adding Launchpad bug for reference, if it helps.
Comment 10 ls 2009-03-17 16:00:37 EDT
I can confirm this bug, i have it on two machines:

1. Samsung NC10, no ext. Display or so, Font size reduced to 7 (i think pt), Intel GMA950.
(I don't have this device anymore, so don't ask me 'bout it)

2. Thinkpad X60 closed lid in Docking Station with ext. 19" TFT, all font sizes set to 8 (pt or whatever).
- I log in
- I set resolution to fit the ext. screen: "xrandr --output VGA --mode 1280x1024"
- When selecting Appearance from Menu, the font size is exploding.

If you need addional info, please reply.

I really like to see this fixed or a workaround, it's annoying.
Comment 11 Mauricio Teixeira 2009-03-17 16:05:27 EDT
A workaround is to set DPI manually into the Gnome font properties.

$ xdpyinfo | grep "dots per inch"
  resolution:    96x88 dots per inch

Use the second number (in my case, 88).

A proper fix is to make Gnome calculate the DPI correctly. :)
Comment 12 ls 2009-03-28 05:02:41 EDT
Thank you, i re-set the DPI value in gnome and now this hasn't happen anymore.

But i'm experiencing another similar bug: the gnome-settings-daemon crashs randomly directly after login so the fonts aber bigger than they should. Notebook is not in the DockingStation so just internal screen.

Crash log:


Distribution: Fedora release 10 (Cambridge)
Gnome Release: 2.24.3 2009-01-16 (Red Hat, Inc)
BugBuddy Version: 2.24.2

System: Linux #1 SMP Mon Feb 23 13:21:22 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0

----------- .xsession-errors ---------------------
** (nautilus:2858): WARNING **: Unable to add monitor: Nicht unterstützt
The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 834 error_code 8 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
** (gnome-panel:2856): WARNING **: panel-applet-frame.c:1285: failed to load applet OAFIID:TomboyApplet:
(gnome-panel:2856): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Comment 13 Bug Zapper 2009-06-09 23:12:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 14 Bug Zapper 2009-07-14 10:04:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.